Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Interface ProfileRegistry

All Known Implementing Classes:
  DefaultProfileRegistry

public interface ProfileRegistry

Defines a registry for aggregating Profile objects

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Method Summary
`void` | `addProfile(Profile profile)` Add an Profile for the service with logical name specified
`void` | `addProfile(java.lang.String profileName, Profile profile)` Add an Profile for the service with logical name specified
`Profile` | `getProfile(java.lang.String profileName)`
`java.util.Enumeration` | `getProfiles()`
`int` | `getSize()`
`boolean` | `hasProfile(Profile profile)`
`boolean` | `hasProfile(java.lang.String profileName)`
`boolean` | `isEmpty()`
`void` | `removeProfile(Profile profile)` Removes the specified Profile
`void` | `removeProfile(java.lang.String profileName)` Removes the Profile with the profileName specified

Method Detail

### getSize

    public int getSize()

  Returns:
    the size of the registry

### isEmpty

    public boolean isEmpty()

  Returns:
    true if the registry is empty or not

### hasProfile

    public boolean hasProfile(java.lang.String profileName)

  Parameters:
    `profileName` - the unique name of this profile
  Returns:
    true if there is an Profile with the specified logical name

### hasProfile

    public boolean hasProfile(Profile profile)

  Parameters:
    `profile` - the profile
  Returns:
    true if there is an Profile with the specified logical name

### getProfiles

    public java.util.Enumeration getProfiles()

  Returns:
    an enumeration of Profile objects

### getProfile

    public Profile getProfile(java.lang.String profileName)

  Parameters:
    `profileName` - the unique name of this profile
  Returns:
    the Profile for the profileName specified

### addProfile

    public void addProfile(Profile profile)

  Add an Profile for the service with logical name specified
  Parameters:
    `profile` - the profile

### addProfile

    public void addProfile(java.lang.String profileName,
                           Profile profile)

  Add an Profile for the service with logical name specified
  Parameters:
    `profileName` - the unique name of this profile
    `profile` - the profile

### removeProfile

    public void removeProfile(Profile profile)

  Removes the specified Profile
  Parameters:
    `profile` - the profile to remove

### removeProfile

    public void removeProfile(java.lang.String profileName)

  Removes the Profile with the profileName specified
  Parameters:
    `profileName` - the unique name of this profile

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details